Browse Source

Merge "Update Shipyard Dockerfile"

changes/87/569187/1
Anthony Lin 4 years ago
committed by Gerrit Code Review
parent
commit
6d0007f640
  1. 10
      Dockerfile
  2. 9
      requirements.txt
  3. 1
      test-requirements.txt

10
Dockerfile

@ -35,13 +35,9 @@ RUN set -x && \
make \
libffi-dev \
libssl-dev \
libpq-dev \
--no-install-recommends \
&& python3 -m pip install -U pip \
&& pip3 install falcon \
&& pip3 install requests \
&& pip3 install uwsgi \
&& pip3 install configparser \
&& pip3 install python-openstackclient==3.11.0 \
&& apt-get clean \
&& rm -rf \
/var/lib/apt/lists/* \
@ -51,6 +47,10 @@ RUN set -x && \
/usr/share/doc \
/usr/share/doc-base
# Copy dependency requirements
COPY ./requirements.txt /tmp/
RUN pip3 install -r /tmp/requirements.txt
# Create shipyard user
RUN useradd -ms /bin/bash shipyard

9
requirements.txt

@ -1,3 +1,10 @@
falcon==1.2.0
python-dateutil==2.6.1
requests==2.18.3
requests==2.18.4
uwsgi===2.0.15
configparser==3.5.0
python-openstackclient==3.11.0
SQLAlchemy==1.1.13
psycopg2==2.7.3.1
PasteDeploy==1.5.2
keystonemiddleware===4.9.1

1
test-requirements.txt

@ -3,7 +3,6 @@ pytest==3.2.1
mock==2.0.0
testfixtures==5.1.1
apache-airflow[crypto,celery,postgres,hive,hdfs,jdbc]==1.8.1
psycopg2==2.7.3
# Linting
flake8==3.3.0

Loading…
Cancel
Save